changing cmdline.txt gives ERROR::handle_hc_chhltd_intr_dma


3 posts
by Sander » Mon Sep 03, 2012 9:37 am
Trying to solve USB Bluetooth problems, based on https://github.com/raspberrypi/linux/is ... nt-8099236 , I added "dwc_otg.microframe_schedule=1 dwc_otg.speed=1" to /boot/cmdline.txt. However, booting results in a loop with a lot of these errors:

Code: Select all
ERROR::handle_hc_chhltd_intr_dma:2040: handle_hc_chhltd_intr_dma: Channel 0, DMA Mode -- ChHltd set, but reason for halting is unkown, hcint 0x00000002, intsts 0x06000021


After reverting the change, I could boot again (but USB BT problem still there).


So: what am I doing wrong? Typo? Or is a newer kernel (no 3.1.9+) or newer firmware needed?

Screendump:
Image

Old:
Code: Select all
dwc_otg.lpm_enable=0 console=ttyAMA0,115200 kgdboc=ttyAMA0,115200 console=tty1 root=/dev/mmcblk0p2 rootfstype=ext4 elevator=deadline   rootwait


New, not booting:
Code: Select all
dwc_otg.lpm_enable=0 console=ttyAMA0,115200 kgdboc=ttyAMA0,115200 console=tty1 root=/dev/mmcblk0p2 rootfstype=ext4 elevator=deadline dwc_otg.microframe_schedule=1 dwc_otg.speed=1  rootwait
User avatar
Posts: 174
Joined: Wed Aug 31, 2011 1:01 pm
by Licaon_Kter » Wed Sep 05, 2012 10:20 am
Since you follow the kernel development on that site you will notice that patches get pushed and these cmdline.txt options suddenly appear, but since that kernel is already at 3.2.27 and beyond things won't magically appear in 3.1.19 :(. So like yeah, 3.2.27 is needed. Any reason not to upgrade yet?
BFQ+BFS or RT on a RPi? 4'real: https://github.com/licaon-kter/ (source and compiled!)
User avatar
Posts: 240
Joined: Wed Sep 05, 2012 10:12 am
Location: Between the keyboard and the chair.
by Sander » Wed Sep 05, 2012 12:24 pm
Licaon_Kter wrote:Since you follow the kernel development on that site you will notice that patches get pushed and these cmdline.txt options suddenly appear, but since that kernel is already at 3.2.27 and beyond things won't magically appear in 3.1.19 :(. So like yeah, 3.2.27 is needed. Any reason not to upgrade yet?


I've upgraded the system to 3.2.27, and get other problems; see my reports under the account 'sanderjo' on that site. To be short: the system blocks if/when USB keyboard and/or mouse are connected and the two extra settings are in cmdline.txt. :(
User avatar
Posts: 174
Joined: Wed Aug 31, 2011 1:01 pm